// ChildView.h : interface of the CChildView class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_CHILDVIEW_H__EE8DEEEA_3870_46FD_A4A5_84F2D4D081B3__INCLUDED_)
#define AFX_CHILDVIEW_H__EE8DEEEA_3870_46FD_A4A5_84F2D4D081B3__INCLUDED_

#include "RayMap.h"	// Added by ClassView
#include "Textura.h"
#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CChildView window

class CChildView : public CWnd
{
public:
	CChildView();
	int angle;
	void rysuj_scene();
	CRayMap moj_ray;
//	CTextura teksturka;
	virtual ~CChildView();
	void rysuj_linie(int x1,int y1,int x2, int y2,CDC *);
	CTextura texture_table[30];
	int num_texture; // numerek tekstury zmiana PgDn, PgUp
protected:
	//{{AFX_MSG(CChildView)
	afx_msg void OnPaint();
	afx_msg void OnKeyDown(UINT nChar, UINT nRepCnt, UINT nFlags);
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
	//{{AFX_VIRTUAL(CChildView)
	
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	//}}AFX_VIRTUAL
private:
	void draw_square(int,int,CDC*);
	void draw_map();
	int max_texture_number;
	void draw_texture(int _number);
	float pos_x;
	float pos_y;

};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_CHILDVIEW_H__EE8DEEEA_3870_46FD_A4A5_84F2D4D081B3__INCLUDED_)
